Get a single Dependent
curl --request GET \
--url https://fulfillment.noyo.com/api/v1/dependents/{dependent_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://fulfillment.noyo.com/api/v1/dependents/{dependent_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fulfillment.noyo.com/api/v1/dependents/{dependent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created": 1557512389,
"employee_id": "30b74a44-d5b1-4123-a7a4-6d3aec251ba4",
"id": "fd62665c-0846-4e9d-bd29-80779b5f685c",
"modified": 1547412389,
"person": {
"contact": {
"email_address": "diane@testemail.com",
"email_address_type": "home",
"home_phone": "+12065551234"
},
"date_of_birth": "1982-01-02",
"first_name": "Diane",
"home_address": {
"city": "San Francisco",
"county": "San Francisco",
"state": "CA",
"street_one": "1234 Home Ave",
"zip_code": "94107"
},
"last_name": "Johnson",
"marital_status": "married",
"sex": "F",
"ssn": "987654321"
},
"relationship": "spouse",
"version": "669fbe16-9960-4069-91aa-832ada3f4e42"
}Dependents
Get Dependent
Returns the latest version of a single dependent based on the ID provided.
GET
/
api
/
v1
/
dependents
/
{dependent_id}
Get a single Dependent
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the dependent you would like to view
Example:
"fd62665c-0846-4e9d-bd29-80779b5f685c"
Response
200 - application/json
Successful Response - Returns a single Dependent
The date the record was originated
Unique identifier of the employee in Noyo
Unique identifier of the dependent in Noyo
The date the record was last updated
Personal information for the dependent
Show child attributes
Show child attributes
Relationship of the dependent to the employee
Available options:
spouse, child, domestic-partner, grandchild, civil-union, step-child, foster-child, adopted-child, legal-guardianship, ex-spouse, other Version of the dependent record
The custom identifier for this dependent in your system
Was this page helpful?
